/databases (POST)
POST
/databases
const url = 'https://example.com/api/v1/databases';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"serverId":"example","name":"example","appId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/databases \ --header 'Content-Type: application/json' \ --data '{ "serverId": "example", "name": "example", "appId": "example" }'Request Body required
Section titled “Request Body required ” Media type application/json
object
serverId
required
string
name
required
string
appId
string
Example generated
{ "serverId": "example", "name": "example", "appId": "example"}Responses
Section titled “ Responses ”Default Response
Media type application/json
object
Example generated
{ "database": { "id": "example", "serverId": "example", "name": "example", "ownerRole": "example", "appId": "example", "createdAt": "2026-04-15T12:00:00Z" }, "connectionString": "example"}Default Response
Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{ "type": "example", "title": "example", "status": 1, "code": "example", "detail": "example", "instance": "example", "errors": [ { "path": "example", "message": "example" } ]}Default Response
Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{ "type": "example", "title": "example", "status": 1, "code": "example", "detail": "example", "instance": "example", "errors": [ { "path": "example", "message": "example" } ]}